---
schema_version: "1"
id: e484a3f1498abb98a4212436649481c73ef4fe1adffde602950baff5cd246172
title: GET /platform/v1/ens-subscriptions/{subscriptionId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getSubscription.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/getSubscription.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: df680f96c9fadd96a1fbd68501bc25dab06d270eef88e6abe6e881ccc5f86831
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /platform/v1/ens-subscriptions/{subscriptionId}

## Overview

Retrieves details for a subscription.

### URL Parameters

<!--complex table-->

| Name               | Type   |              | Description                             |
| ------------------ | ------ | ------------ | --------------------------------------- |
| **subscriptionId** | string | **Required** | Unique identifier for the subscription. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /platform/v1/ens-subscriptions/d89c87c4-70f8-43d6-be1e-f01dce97fe4c
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
HTTP/1.1 200 Success
{
    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
    "callbackName": "cb1",
    "url": "https://example.com/",
    "maxBatchSize": 1000,
    "subscriptionName": "subscriptionName",
    "eventCategoryTypes": ["TransactionalSendEvents.EmailNotSent",
    "TransactionalSendEvents.EmailSent"],
    "subscriptionId": "d89c87c4-70f8-43d6-be1e-f01dce97fe4c",
    "filters": ["definitionKey=12345"],
    "status": "active",
    "statusReason": "none"
}
```

### HTTP Responses

| Response         | Reason                              |
| ---------------- | ----------------------------------- |
| 200 Success      | Callback subscription is retrieved. |
| 400 Bad Request  | Invalid request                     |
| 403 Forbidden    | Failed to pass authorization.       |
| 404 Not Found    | Subscription ID doesn’t exist.      |
| 500 Server Error | Internal error                      |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
